Fire Order

The Fire Order workflow consists of 2 steps. First integration partner calls create order api with orderNotificationType HOLD and then triggers fire order API to execute the same order.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Headers

NameValue
AuthorizationBearer <access_token>
Content-Typeapplication/json
x-api-keyYour unique API key for authentication

Request Body

Please refer to the Fire Order HTTP request parameters guide for a detailed explanation of each parameter and its required format.

Sample curl Request

curl --location --request POST 'https://api.uat.khumbu.com/uat/v1/providers/standardprovider/partners/simphony/markets/plkpl/orders/notification' \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data-raw '{
    "providerOrderId": "5334a0dc-def6-43ae-8f51-952359555246",
    "marketName": "plkpl",
    "storeInformation": { 
        "providerStoreId": "48002",
        "partnerStoreId": "48002",
        "additionalProperties": {
            "REVENUE_CENTER_ID": "103",
            "ORDER_TYPE_ID": "10",
            "TENDER_MEDIA_ID": "908",
            "TIME_ZONE": "Europe/Warsaw"
        }
    "orderNotificationType": "CREATE",
    "createdTimestamp": "2024-12-20 06:57:14.496591",
    "updatedTimestamp": "2024-12-20 06:57:14.496591",
    "customerInformation": {
        "id": "1",
        "phone": "3344556677",
    		"firstName": "firstName",
    		"lastName": "lastName",
    		"email": "[email protected]"
    },
    "payments": {
        "subTotal": 100,
        "tax": 10,
        "tip": 2,
        "discount": 2,
        "total": 102,
        "paymentMethod": "CARD",
        "currencyCode": "USD"
    },
    "serviceMode": {
        "fulfillmentMode": "PICK_UP"
    },
    "orderItems": [
        {
            "id": "123",
            "type": "ITEM",
            "name": "Pizza",
            "price": 100,
            "quantity": 2,
            "categoryId": "12345",
            "options": [
                {
                    "id": "OptionId1",
                    "name": "Cheese",
                    "price": 5,
                    "quantity": 2,
                    "modifierId": "1111",
                    "options": [
                        {
                            "id": "id2",
                            "name": "AmericanCheese",
                            "price": 2,
                            "quantity": 2,
                            "modifierId": "2222",
                            "options": []
                        }
                    ]
                }
            ]
        }
    ]
}'

Error Responses

In the event of an error, the response will contain an error code and message detailing the cause of the failure. Please refer to the Error Reference Guide for comprehensive information on all error codes.

📘

Implementation Guide

This guide helps developers implement the Fire Order functionality in their applications. Ensure placeholder values are replaced with actual parameters as needed.

Path Params
string
required
string
required
string
required
Body Params
string
required
string
required
string
enum
required
Allowed:
orderItems
array
required
orderItems*
string

give raw body as provided in sample CURL request

string
string
Headers
string
required
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json